Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.neural.pattern
Class JordanPattern

    java.lang.Object
      org.encog.neural.pattern.JordanPattern

All Implemented Interfaces:
  NeuralNetworkPattern

    public class JordanPattern

extends Object
implements NeuralNetworkPattern

This class is used to generate an Jordan style recurrent neural network. This network type consists of three regular layers, an input output and hidden layer. There is also a context layer which accepts output from the output layer and outputs back to the hidden layer. This makes it a recurrent neural network. The Jordan neural network is useful for temporal input data. The specified activation function will be used on all layers. The Jordan neural network is similar to the Elman neural network.

Author:
  jheaton

Constructor Summary
`JordanPattern()` Construct an object to create a Jordan type neural network.

Method Summary
`void` | `addHiddenLayer(int count)` Add a hidden layer, there should be only one.
`void` | `clear()` Clear out any hidden neurons.
`MLMethod` | `generate()` Generate a Jordan neural network.
`void` | `setActivationFunction(ActivationFunction activation)` Set the activation function to use on each of the layers.
`void` | `setInputNeurons(int count)` Set the number of input neurons.
`void` | `setOutputNeurons(int count)` Set the number of output neurons.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JordanPattern

    public JordanPattern()

  Construct an object to create a Jordan type neural network.

Method Detail

### addHiddenLayer

    public final void addHiddenLayer(int count)

  Add a hidden layer, there should be only one.

  Specified by:
    `addHiddenLayer` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - The number of neurons in this hidden layer.

### clear

    public final void clear()

  Clear out any hidden neurons.

  Specified by:
    `clear` in interface `NeuralNetworkPattern`

### generate

    public final MLMethod generate()

  Generate a Jordan neural network.

  Specified by:
    `generate` in interface `NeuralNetworkPattern`
  Returns:
    A Jordan neural network.

### setActivationFunction

    public final void setActivationFunction(ActivationFunction activation)

  Set the activation function to use on each of the layers.

  Specified by:
    `setActivationFunction` in interface `NeuralNetworkPattern`
  Parameters:
    `activation` - The activation function.

### setInputNeurons

    public final void setInputNeurons(int count)

  Set the number of input neurons.

  Specified by:
    `setInputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - Neuron count.

### setOutputNeurons

    public final void setOutputNeurons(int count)

  Set the number of output neurons.

  Specified by:
    `setOutputNeurons` in interface `NeuralNetworkPattern`
  Parameters:
    `count` - Neuron count.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011. All Rights Reserved.